Server Trust Groups - Get

서버 신뢰 그룹을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/locations/{locationName}/serverTrustGroups/{serverTrustGroupName}?api-version=2025-01-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
locationName
path True

string

리소스가 있는 지역의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

serverTrustGroupName
path True

string

서버 신뢰 그룹의 이름입니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

ServerTrustGroup

Azure 운영이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 Flow.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Get server trust group

샘플 요청

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test?api-version=2025-01-01

샘플 응답

{
  "name": "server-trust-group-test",
  "type": "Microsoft.Sql/locations/serverTrustGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test",
  "properties": {
    "groupMembers": [
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-1"
      },
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-2"
      }
    ],
    "trustScopes": [
      "GlobalTransactions",
      "ServiceBroker"
    ]
  }
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ServerInfo

서버 신뢰 그룹에 대한 서버 정보입니다.

ServerTrustGroup

서버 신뢰 그룹입니다.

ServerTrustGroupPropertiesTrustScopesItem
systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

값 Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ServerInfo

서버 신뢰 그룹에 대한 서버 정보입니다.

Name 형식 Description
serverId

string

서버 ID입니다.

ServerTrustGroup

서버 신뢰 그룹입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.groupMembers

ServerInfo[]

서버 신뢰 그룹에 대한 그룹 구성원 정보입니다.

properties.trustScopes

ServerTrustGroupPropertiesTrustScopesItem[]

서버 신뢰 그룹의 신뢰 범위입니다.

systemData

systemData

Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다.

type

string

리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정"

ServerTrustGroupPropertiesTrustScopesItem

값 Description
GlobalTransactions

글로바스크립트

ServiceBroker

서비스브로커

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.